﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;

namespace Musiclibrary {
    public interface ISongSource {
        ILibrary Library { get; }

        bool IsEditable { get; }
        string Name { get; set; }
        void Delete();

        bool CanEditSongs { get; }
        void AddSong(ISong song);
        void DeleteSong(ISong song);
        
        IEnumerable<ISong> GetSongs();

        ContextMenu ContextMenu { get; }
    }
}
