﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Musiclibrary
{
    public class DbMetadata : MetadataBase
    {
        private Song Song;

        public DbMetadata(Song song)
        {
            this.Song = song;
        }

        public override string Title { get; set; }

        public override string Artist { get; set; }

        public override string Album { get; set; }

        public override string Genre { get; set; }

        public override int? Year { get; set; }

        public override void Save()
        {
            this.Song.UpdateMetadata();
        }
    }
}
